> ## Documentation Index
> Fetch the complete documentation index at: https://docs.isprop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Eliminar producto

> Elimina un producto específico del sistema.
Esta acción es irreversible y también eliminará todas las unidades asociadas.



## OpenAPI

````yaml /api/openapi.json delete /products/{product}
openapi: 3.1.0
info:
  title: Isprop API
  version: 1.0.0
  description: API para gestión de unidades inmobiliarias y leads de Isprop
servers:
  - url: https://{tenantDomain}/api/v1
    description: Dominio del tenant
    variables:
      tenantDomain:
        default: tenant.example.com
        description: Dominio asignado al tenant, sin protocolo ni ruta.
security:
  - http: []
tags:
  - name: Unit
  - name: Project
  - name: Product
  - name: Typology
  - name: Lead
  - name: Lead Channel
  - name: Attribute
paths:
  /products/{product}:
    delete:
      tags:
        - Product
      summary: Eliminar producto
      description: >-
        Elimina un producto específico del sistema.

        Esta acción es irreversible y también eliminará todas las unidades
        asociadas.
      operationId: deleteProduct
      parameters:
        - name: product
          in: path
          required: true
          description: The product UUID
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    enum:
                      - Producto eliminado exitosamente
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - CANNOT_DELETE_PRODUCT
                      message:
                        type: string
                        enum:
                          - >-
                            No se puede eliminar el producto porque tiene
                            unidades activas en tienda
                      details:
                        type: object
                        properties:
                          hint:
                            type: string
                            enum:
                              - >-
                                Desactive todas las unidades de la tienda antes
                                de eliminar el producto
                        required:
                          - hint
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: sanctum

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.